This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1024390 - tigervnc resets the keyboard mapping
tigervnc resets the keyboard mapping
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.5
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Peter Hutterer
Desktop QE
:
Depends On:
Blocks: 1075802 1159931
  Show dependency treegraph
 
Reported: 2013-10-29 10:58 EDT by Siddharth
Modified: 2015-06-15 19:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-15 19:53:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddharth 2013-10-29 10:58:09 EDT
Description of problem:
keyboard mapping resets to default keyboard in vncserver

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6.4

How reproducible:
always

Steps to Reproduce:
1. Install tiger vncserver and configure for user test on server A.   
2. Change keyboard keycode by xmodmap 
    xmodmap -e "keycode 29=z"
3. Now from other system client B connect to server A via vncviewer
 
Actual results:
keyboard setting does not change

Expected results:
keyboard keymap should change

Additional info:
Comment 4 RHEL Product and Program Management 2013-11-03 03:05:09 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 12 Peter Hutterer 2014-11-27 22:28:29 EST
Please provide more details what behaviour is expected and the exact setup and sequence of commands used on the various hosts/clients. I tried this on an up-to-date RHEL 6.6 and as far as I can tell this is a feature, not a bug.

tigervnc tries to map the keysym into a keycode to provide the right behaviour on the clients. This behaviour ensures that a client connecting with a qwerty keyboard layout on the host can use it as-is, and a client connecting with an azerty layout likewise. No reconfiguration of keyboards is thus necessary.

This is a feature, to achieve the outcome expected in comment #1 you'd have to run the xmodmap on the machine the host vncviewer is running on, so that vncviewer sends 'z', not 'y'.

Note You need to log in before you can comment on or make changes to this bug.